Bug 135885 - math/abakus: clean up, respect PREFIX/LOCALBASE
Summary: math/abakus: clean up, respect PREFIX/LOCALBASE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-21 11:40 UTC by Max Brazhnikov
Modified: 2009-06-21 20:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.89 KB, patch)
2009-06-21 11:40 UTC, Max Brazhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Brazhnikov freebsd_committer 2009-06-21 11:40:04 UTC
1) update mastersites
2) clean up Makefile
3) respect PREFIX/LOCALBASE
4) install .desktop file to standard place

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-06-21 11:40:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-06-21 11:40:18 UTC
Maintainer of math/abakus,

Please note that PR ports/135885 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/135885

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-06-21 11:40:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Andy Fawcett 2009-06-21 18:22:24 UTC
On Sunday 21 June 2009 13:40:18 Edwin Groothuis wrote:
> Maintainer of math/abakus,
>
> Please note that PR ports/135885 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/135885

I'm unable to maintain this port any more, as I don't use FreeBSD on the 
desktop these days.

I've taken a look at the patch, and it looks good to me, but I have no 
way of testing it.

Max, would you take maintainership of the port? Or alternatively, put it 
to ports@ for me please?

Cheers,

Andy
Comment 5 Max Brazhnikov freebsd_committer 2009-06-21 20:16:25 UTC
On Sun, 21 Jun 2009 20:22:24 +0300, Andy Fawcett wrote:
> On Sunday 21 June 2009 13:40:18 Edwin Groothuis wrote:
> > Maintainer of math/abakus,
> >
> > Please note that PR ports/135885 has just been submitted.
> >
> > If it contains a patch for an upgrade, an enhancement or a bug fix
> > you agree on, reply to this email stating that you approve the patch
> > and a committer will take care of it.
> >
> > The full text of the PR can be found at:
> >     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/135885
>
> I'm unable to maintain this port any more, as I don't use FreeBSD on the
> desktop these days.
>
> I've taken a look at the patch, and it looks good to me, but I have no
> way of testing it.
>
> Max, would you take maintainership of the port? Or alternatively, put it
> to ports@ for me please?

Ok Andy, I'll take this port. I'll also reset all your other ports (seems 
there is sysutils/uptimed only)

Cheers,
Max
Comment 6 dfilter service freebsd_committer 2009-06-21 20:38:39 UTC
makc        2009-06-21 19:38:25 UTC

  FreeBSD ports repository

  Modified files:
    math/abakus          Makefile pkg-descr pkg-plist 
  Added files:
    math/abakus/files    patch-src__SConscript 
  Log:
  1) update MASTER_SITES
  2) clean up Makefile
  3) respect PREFIX/LOCALBASE
  4) install .desktop file to standard place
  5) reduce dependencies
  6) take maintainership
  
  PR:             ports/135885
  Submitted by:   makc (self)
  Approved by:    Andy Fawcett (former maintainer)
  
  Revision  Changes    Path
  1.9       +6 -9      ports/math/abakus/Makefile
  1.1       +9 -0      ports/math/abakus/files/patch-src__SConscript (new)
  1.2       +1 -4      ports/math/abakus/pkg-descr
  1.4       +2 -1      ports/math/abakus/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2009-06-21 20:39:35 UTC
State Changed
From-To: feedback->open

maintainer approved.
Comment 8 Max Brazhnikov freebsd_committer 2009-06-21 20:39:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 9 Andy Fawcett 2009-06-21 20:44:24 UTC
On Sunday 21 June 2009 22:16:25 Max Brazhnikov wrote:
> On Sun, 21 Jun 2009 20:22:24 +0300, Andy Fawcett wrote:
> > On Sunday 21 June 2009 13:40:18 Edwin Groothuis wrote:
> > > Maintainer of math/abakus,
> > >
> > > Please note that PR ports/135885 has just been submitted.
> > >
> > > If it contains a patch for an upgrade, an enhancement or a bug
> > > fix you agree on, reply to this email stating that you approve
> > > the patch and a committer will take care of it.
> > >
> > > The full text of the PR can be found at:
> > >     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/135885
> >
> > I'm unable to maintain this port any more, as I don't use FreeBSD
> > on the desktop these days.
> >
> > I've taken a look at the patch, and it looks good to me, but I have
> > no way of testing it.
> >
> > Max, would you take maintainership of the port? Or alternatively,
> > put it to ports@ for me please?
>
> Ok Andy, I'll take this port. I'll also reset all your other ports
> (seems there is sysutils/uptimed only)

Thanks.

I'm ok with uptimed, I still have a few FreeBSD servers, so I can 
maintain that one.

A.